ru.bitel.bgbilling.plugins.crm.server.bean.event

## Class CreateProblemFromCallEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.plugins.crm.server.bean.event.CreateProblemFromCallEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class CreateProblemFromCallEvent
      extends LocalEvent

  Синхронное событие - создание проблемы по звонку.
  Событие генерируется при создании проблемы по звонку для модификации параметров проблемы.
  Унаследован от `LocalEvent`
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CreateProblemFromCallEvent()`
    `` | `CreateProblemFromCallEvent(int pluginId, Contract contract, ContractObject object, RegisterCall call, RegisterProblem problem)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `RegisterCall` | `getCall()` Возвращает зарегистрированный звонок
    `Contract` | `getContract()` Возвращает договор
    `ContractObject` | `getObject()` Возвращает объект договора
    `RegisterProblem` | `getProblem()` Возвращает зарегистрированную проблему
    `int` | `getTypeId()` Deprecated.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CreateProblemFromCallEvent

          protected CreateProblemFromCallEvent()

    - #### CreateProblemFromCallEvent

          public CreateProblemFromCallEvent(int pluginId,
                                            Contract contract,
                                            ContractObject object,
                                            RegisterCall call,
                                            RegisterProblem problem)

      Конструктор события.
      Parameters:
        `pluginId` - - код плагина
        `contract` - - договор
        `object` - - объект договора
        `call` - - звонок
        `problem` - - проблема

  - ### Method Detail

    - #### getTypeId

          @Deprecated
          public int getTypeId()

      Deprecated.
      Использовать проверку instanceof.
      Overrides:
        `getTypeId` in class `Event`
      Returns:

    - #### getCall

          public RegisterCall getCall()

      Возвращает зарегистрированный звонок
      Returns:
        call - звонок

    - #### getContract

          public Contract getContract()

      Возвращает договор
      Returns:
        contract - договор

    - #### getObject

          public ContractObject getObject()

      Возвращает объект договора
      Returns:
        object - объект договора

    - #### getProblem

          public RegisterProblem getProblem()

      Возвращает зарегистрированную проблему
      Returns:
        problem - проблема